unofficial mirror of notmuch@notmuchmail.org
 help / color / mirror / code / Atom feed
From: David Bremner <david@tethera.net>
To: notmuch@notmuchmail.org, notmuch@freelists.org
Subject: [Patch v4 05/12] test: add known broken tests for duplicate message id
Date: Fri, 21 Jul 2017 07:58:33 -0300	[thread overview]
Message-ID: <20170721105840.4737-6-david@tethera.net> (raw)
In-Reply-To: <20170721105840.4737-1-david@tethera.net>

There are many other problems that could be tested, but these ones we
have some hope of fixing because it doesn't require UI changes, just
indexing changes.
---
 test/T670-duplicate-mid.sh | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)
 create mode 100755 test/T670-duplicate-mid.sh

diff --git a/test/T670-duplicate-mid.sh b/test/T670-duplicate-mid.sh
new file mode 100755
index 00000000..ced28a21
--- /dev/null
+++ b/test/T670-duplicate-mid.sh
@@ -0,0 +1,28 @@
+#!/usr/bin/env bash
+test_description="duplicate message ids"
+. ./test-lib.sh || exit 1
+
+add_message '[id]="duplicate"' '[subject]="message 1" [filename]=copy1'
+add_message '[id]="duplicate"' '[subject]="message 2" [filename]=copy2'
+
+test_begin_subtest 'Search for second subject'
+test_subtest_known_broken
+cat <<EOF >EXPECTED
+MAIL_DIR/copy1
+MAIL_DIR/copy2
+EOF
+notmuch search --output=files subject:'"message 2"' | notmuch_dir_sanitize > OUTPUT
+test_expect_equal_file EXPECTED OUTPUT
+
+add_message '[id]="duplicate"' '[body]="sekrit" [filename]=copy3'
+test_begin_subtest 'search for body in duplicate file'
+test_subtest_known_broken
+cat <<EOF >EXPECTED
+MAIL_DIR/copy1
+MAIL_DIR/copy2
+MAIL_DIR/copy3
+EOF
+notmuch search --output=files "sekrit" | notmuch_dir_sanitize > OUTPUT
+test_expect_equal_file EXPECTED OUTPUT
+
+test_done
-- 
2.13.2

  parent reply	other threads:[~2017-07-21 10:58 UTC|newest]

Thread overview: 14+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-07-21 10:58 v4 of index multiple files per msg-id, add reindex command David Bremner
2017-07-21 10:58 ` [Patch v4 01/12] lib: isolate n_d_add_message and helper functions into own file David Bremner
2017-07-21 10:58 ` [Patch v4 02/12] lib/n_d_add_message: refactor test for new/ghost messages David Bremner
2017-07-21 10:58 ` [Patch v4 03/12] lib: factor out message-id parsing to separate file David Bremner
2017-07-21 10:58 ` [Patch v4 04/12] lib: refactor notmuch_database_add_message header parsing David Bremner
2017-07-21 10:58 ` David Bremner [this message]
2017-07-21 10:58 ` [Patch v4 06/12] lib: index message files with duplicate message-ids David Bremner
2017-07-21 10:58 ` [Patch v4 07/12] lib: add notmuch_message_count_files David Bremner
2017-07-21 10:58 ` [Patch v4 08/12] lib: add notmuch_thread_get_total_files David Bremner
2017-07-21 10:58 ` [Patch v4 09/12] cli/search: print total number of files matched in summary output David Bremner
2017-07-21 10:58 ` [Patch v4 10/12] lib: add _notmuch_message_remove_indexed_terms David Bremner
2017-07-21 10:58 ` [Patch v4 11/12] lib: add notmuch_message_reindex David Bremner
2017-07-21 10:58 ` [Patch v4 12/12] add "notmuch reindex" subcommand David Bremner
2017-08-02  2:53 ` v4 of index multiple files per msg-id, add reindex command David Bremner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: https://notmuchmail.org/

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20170721105840.4737-6-david@tethera.net \
    --to=david@tethera.net \
    --cc=notmuch@freelists.org \
    --cc=notmuch@notmuchmail.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://yhetil.org/notmuch.git/

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).